## org.apache.lucene.document
Class ShortDocValuesField

    java.lang.Object
      org.apache.lucene.document.Field
          org.apache.lucene.document.NumericDocValuesField
              org.apache.lucene.document.ShortDocValuesField

All Implemented Interfaces:
  IndexableField

Deprecated. use `NumericDocValuesField` instead.

    @Deprecated
    public class ShortDocValuesField

extends NumericDocValuesField

Field that stores a per-document `short` value for scoring, sorting or value retrieval. Here's an example usage:

       document.add(new ShortDocValuesField(name, (short) 22));

If you also need to store the value, you should add a separate `StoredField` instance.

See Also:
  `NumericDocValues`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.document.Field
`Field.Index, Field.Store, Field.TermVector`

Field Summary

Fields inherited from class org.apache.lucene.document.NumericDocValuesField
`TYPE`

Fields inherited from class org.apache.lucene.document.Field
`boost, fieldsData, name, tokenStream, type`

Constructor Summary
`ShortDocValuesField(String name, short value)` Deprecated. Creates a new DocValues field with the specified 16-bit short value

Method Summary
`void` `setShortValue(short value)` Deprecated. Expert: change the value of this field.

Methods inherited from class org.apache.lucene.document.Field
`binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShortDocValuesField

    public ShortDocValuesField(String name,
                               short value)

  Deprecated.
  Creates a new DocValues field with the specified 16-bit short value

  Parameters:
    `name` - field name
    `value` - 16-bit short value
  Throws:
    `IllegalArgumentException` - if the field name is null

Method Detail

### setShortValue

    public void setShortValue(short value)

  Deprecated.
  Description copied from class: `Field`
  Expert: change the value of this field. See `Field.setStringValue(String)`.

  Overrides:
    `setShortValue` in class `Field`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.